package main.java.dao;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import main.java.model.Account;

public interface AccountDao {

	public List<Account> listEager();

	List<Account> listEagerNotLendBook(String isbn);

	public Account get(int id);

	public Account getEager(int id);

	public void delete(int id);

	public void save(Account account);

	public void update(Account account);

	public Account fillFromResultSet(ResultSet rs) throws SQLException;
}
