<%@tag description="Html Wrapper" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<c:set var="req" value="${pageContext.request}" />
<c:set var="url">${req.requestURL}</c:set>
<c:set var="uri" value="${req.requestURI}" />
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">  
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"  />
<title>Bibliothek</title>
<base href="${fn:substring(url, 0, fn:length(url) - fn:length(uri))}${req.contextPath}/" />
<link rel="stylesheet" type="text/css" href="resources/css/global.css" />
</head>
<body>
	<div id="center">
		<div id="menu">
			<a href="book/">Bücher </a>
			<a href="account/">Benutzer </a> <a href="circulation/">Ausgeliehen </a>
			<div style="clear: both"></div>
		</div>
		<div style="clear: both"></div>
		<div id="content">
			<jsp:doBody />
		</div>
		<div id="footer">
			<div id="datetime"></div>
			<div id="runtime">Ausführungszeit: ${processingTime} ms</div>
			<div style="clear: both"></div>
		</div>
	</div>
</body>
</html>