<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@taglib prefix="t" tagdir="/WEB-INF/tags"%>
<t:layoutWrapper>
	<div class="form">
		<form:form action="book/${edit eq 'true' ? 'edit/confirmed/' : 'add/confirmed/'}" method="post" modelAttribute="book">
			<dl>
				<dt>
					<label>ISBN:</label>
				</dt>
				<dd>
					<form:input path="isbn" readonly="${edit eq 'true'}" />
					<form:errors path="isbn" cssStyle="color: #ff0000;" />
				</dd>
				<dt>
					<label>Buchtitel:</label>
				</dt>
				<dd>
					<form:input path="title" />
					<form:errors path="title" cssStyle="color: #ff0000;" />
				</dd>
				<dt>
					<label>Anzahl:</label>
				</dt>
				<dd>
					<form:input path="stock" />
					<form:errors path="stock" cssStyle="color: #ff0000;" />
				</dd>
				<dt>
					<label>Beschreibung:</label>
				</dt>
				<dd>
					<form:textarea path="description" />
					<form:errors path="description" cssStyle="color: #ff0000;" />
				</dd>
				<dt id="submit-label">&#160;</dt>
				<dd id="submit-element">
					<input type="submit" name="submit" id="submit"
						value="${edit eq 'true' ? 'Buch editieren' : 'Buch hinzufügen'}" class="mybutton">
				</dd>
			</dl>
		</form:form>
	</div>
</t:layoutWrapper>