CREATE TABLE `Book` (
  `isbn` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `stock` int(11) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`isbn`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `Account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `Circulation` (
  `lendDate` datetime NOT NULL,
  `returnDate` datetime NOT NULL,
  `bookId` varchar(255) NOT NULL DEFAULT '',
  `accountId` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`accountId`,`bookId`),
  KEY `FK_ec34kumlpooaena5ox6bn9k3d` (`bookId`),
  CONSTRAINT `FK_37dpgrn4vfykpgrotl9gemr0k` FOREIGN KEY (`accountId`) REFERENCES `Account` (`id`),
  CONSTRAINT `FK_ec34kumlpooaena5ox6bn9k3d` FOREIGN KEY (`bookId`) REFERENCES `Book` (`isbn`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;