package main.java.dao;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import main.java.model.Book;

public interface BookDao {
	public List<Book> list();

	public Book get(String isbn);
	
	public Book getEager(String isbn);

	public void save(Book book);

	public void update(Book book);

	public void delete(String id);

	public Book fillFromResultSet(ResultSet rs) throws SQLException;
}
