package main.java.dao;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import main.java.model.Account;
import main.java.model.Book;
import main.java.model.Circulation;

public interface CirculationDao {

	public List<Circulation> list();

	public void update(String isbn, int accountID);

	public void save(String bookID, int accountID);

	public Circulation fillFromResultSet(ResultSet rs, Book book, Account account) throws SQLException;
}
