package main.java.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class ConnectionInfo {
	private final String user = "GEHEIM";
	private final String password = "GEHEIM";
	private final String driverName = "com.mysql.jdbc.Driver";
	private final String host = "GEHEIM";
	
	public ConnectionInfo() {	
		try {
			Class.forName(driverName).newInstance();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	public Connection getConnection() throws SQLException {
		try {
			return DriverManager.getConnection(host,user,password);
		} catch (SQLException ex) {
		    // handle any errors
		    System.out.println("SQLException: " + ex.getMessage());
		    System.out.println("SQLState: " + ex.getSQLState());
		    System.out.println("VendorError: " + ex.getErrorCode());
		    throw ex;
		}
	}

}
