<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@taglib prefix="t" tagdir="/WEB-INF/tags"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>

<t:layoutWrapper>
	<c:if test="${fn:length(bookList) > 0}">
		<table class="content_table">
			<thead>
				<tr>
					<th class="first_column">ISBN</th>
					<th>Buchtitel</th>
					<th>Beschreibung</th>
					<th>Anzahl</th>
					<th class="edit_column"></th>
					<th class="edit_column"></th>
					<th class="delete_column"></th>
				</tr>
			</thead>
			<c:forEach var="book" items="${bookList}">
				<tr class="${book.getCssClass()}">
					<td>${book.isbn}</td>
					<td>${book.title}</td>
					<td>${book.description}</td>
					<td>${book.stock}</td>
					<td><a href="circulation/add/${book.isbn}/"><img title="Buch ausleihen" class="edit_book_image" src="resources/image/shopping-basket-icon.png" /></a></td>
					<td><a href="book/edit/${book.isbn}/"><img
							title="Buch editieren" class="edit_book_image" src="resources/image/edit-icon.png" /></a>
					</td>
					<td><a href="book/delete/${book.isbn}/"><img
							title="Buch löschen" class="edit_book_image" src="resources/image/delete-icon.png" /></a>
					</td>
				</tr>
			</c:forEach>
		</table>

	</c:if>
	<div class="action_div">
		<a href="book/add/"> Buch hinzufügen </a>
	</div>
	<div style="clear: both"></div>
</t:layoutWrapper>