<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@taglib prefix="t" tagdir="/WEB-INF/tags"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>

<t:layoutWrapper>
	<c:if test="${fn:length(circulationList) > 0}">
		<table class="content_table deleted">
			<thead>
				<tr>
					<th>Benutzer</th>
					<th>Buchtitel</th>
					<th>Ausleihdatum</th>
					<th>Rückgabedatum</th>
				</tr>
			</thead>
			<c:forEach var="circulation" items="${circulationList}">
				<tr>
					<td>${circulation.account.username}</td>
					<td>${circulation.book.title}</td>
					<td>${circulation.getLendDateFormatted()}</td>
					<td>${circulation.getReturnDateFormatted()}</td>
				</tr>
			</c:forEach>
		</table>
	</c:if>
	<div style="clear: both"></div>
</t:layoutWrapper>